# ApplicationFramework
TKPShape
PColPGeom

# PColPGeom_FieldOfHArray2OfBezierSurface Class Reference

`#include <PColPGeom_FieldOfHArray2OfBezierSurface.hxx>`

Inheritance diagram for PColPGeom_FieldOfHArray2OfBezierSurface:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | PColPGeom_FieldOfHArray2OfBezierSurface ()
Standard_EXPORT | PColPGeom_FieldOfHArray2OfBezierSurface (const Standard_Integer Size)
Standard_EXPORT | PColPGeom_FieldOfHArray2OfBezierSurface (const PColPGeom_FieldOfHArray2OfBezierSurface &Varray)
Standard_EXPORT void | Resize (const Standard_Integer Size)
Standard_EXPORT void | Assign (const PColPGeom_FieldOfHArray2OfBezierSurface &Other)
void | operator= (const PColPGeom_FieldOfHArray2OfBezierSurface &Other)
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Handle(PGeom_BezierSurface)&Value)
Standard_EXPORT Handle_PGeom_BezierSurface & | Value (const Standard_Integer Index) const
Handle_PGeom_BezierSurface & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | Destroy ()
| ~PColPGeom_FieldOfHArray2OfBezierSurface ()

## Friends

Standard_EXPORT friend Handle_Standard_Type & | PColPGeom_FieldOfHArray2OfBezierSurface_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT PColPGeom_FieldOfHArray2OfBezierSurface::PColPGeom_FieldOfHArray2OfBezierSurface | ( |  | ) |

Standard_EXPORT PColPGeom_FieldOfHArray2OfBezierSurface::PColPGeom_FieldOfHArray2OfBezierSurface | ( | const Standard_Integer | Size | ) |

Standard_EXPORT PColPGeom_FieldOfHArray2OfBezierSurface::PColPGeom_FieldOfHArray2OfBezierSurface | ( | const PColPGeom_FieldOfHArray2OfBezierSurface & | Varray | ) |

PColPGeom_FieldOfHArray2OfBezierSurface::~PColPGeom_FieldOfHArray2OfBezierSurface | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void PColPGeom_FieldOfHArray2OfBezierSurface::Assign | ( | const PColPGeom_FieldOfHArray2OfBezierSurface & | Other | ) |

Standard_EXPORT void PColPGeom_FieldOfHArray2OfBezierSurface::Destroy | ( |  | ) |

| Reimplemented from DBC_BaseArray.

void PColPGeom_FieldOfHArray2OfBezierSurface::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* PColPGeom_FieldOfHArray2OfBezierSurface::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* PColPGeom_FieldOfHArray2OfBezierSurface::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from DBC_BaseArray.

Handle_PGeom_BezierSurface& PColPGeom_FieldOfHArray2OfBezierSurface::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

void PColPGeom_FieldOfHArray2OfBezierSurface::operator= | ( | const PColPGeom_FieldOfHArray2OfBezierSurface & | Other | ) | `[inline]`

Standard_EXPORT void PColPGeom_FieldOfHArray2OfBezierSurface::Resize | ( | const Standard_Integer | Size | ) |

Standard_EXPORT void PColPGeom_FieldOfHArray2OfBezierSurface::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(PGeom_BezierSurface)& | Value
| ) |

Standard_EXPORT Handle_PGeom_BezierSurface& PColPGeom_FieldOfHArray2OfBezierSurface::Value | ( | const Standard_Integer | Index | ) | const

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& PColPGeom_FieldOfHArray2OfBezierSurface_Type_ | ( |  | ) | `[friend]`

The documentation for this class was generated from the following file:

- PColPGeom_FieldOfHArray2OfBezierSurface.hxx